# Command: GetGlobalNodes

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    GetGlobalNodes - Return IDs of all nodes of a subnet that fulfill the
      conditions given in the dictionary, or all nodes if no dictionary given.

Synopsis:

      gid [<>]  GetGlobalNodes -> [gid1 ... gidn]

Description:

      This function recursively traverses a subnet and returns the global
      ids of all child nodes in increasing order of gid. If a dictionary
      is provided, only those nodes which fulfill the given criteria are
      returned.

      The returned Nodes include the intermediate subnets. For a variant
      of this command that excludes the subnets, see "GetGlobalLeaves".

Parameters:

      gid		- id of a subnet
      <>	- Dictionary of selection properties
      Returns:
      [gid..] 	- Array with the global ids of all child nodes.

Author:

    Marc-Oliver Gewaltig, Abigail Morrison

SeeAlso:

- GetGlobalNodesInfo
- GetLocalNodes
- GetGlobalLeaves
- GetGlobalChildren

Source:

    /opt/conda/conda-bld/nest_1510213973486/work/nest-2.14.0/lib/sli/nest-init.sli

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative